package theme

import (
	"context"
	"io"

	"source.toby3d.me/toby3d/home/internal/domain"
)

type (
	Writer func(w io.Writer) error

	UseCase interface {
		Do(ctx context.Context, site *domain.Site, page *domain.Entry) (Writer, error)
	}
)
